# height-CH-public
Height estimation for Switzerland with Sentinel-2 images

## Installation
- Requirements: check ``requirements.txt``

- Configuration: check ``yaml`` files inside ``/configs``

- Data: default data path are 
    - ``image_dir: '../../data/CH_VHM/sentinel_2'``
    - ``target_dir: '../../data/CH_VHM/vhm_tiles'``

## Inference

- Pretrained models can be downloaded [Here](https://share.phys.ethz.ch/~pf/yujiangdata/height-ch-public-reg-shared.zip)
- Prediction for tiles
```
python -m scripts.predictSet 
--pred_config_path=configs/predictSet.yaml  
--train_config_path=configs/train.yaml
```

- Combine predictions of tiles into mosaic file (as a whole map)
```
bash merge_mosaic.sh
```

## General pipeline
- Preprocess
```
python -m scripts.preprocess --config=configs/preprocess.yaml
```
```
scripts.calculate_stats --preproconfig=configs/train.yaml
```

- Training
```
python -m scripts.train 
--config=configs/train.yaml
```